<ion-content>
  <div class="container header">
    <img src="assets/icon/arrow.svg" (click)="arrowBack()">
    <div class="title">
      <div class="container-flex">
        <h1 class="item flex-grow-item">{{product.name}}</h1>
        <img src="assets/icon/next.svg" class="item icon">
      </div>
    </div>
    <hr>
  </div>

  <div class="container modif-prod flex">
    <div class="flex product">
      <div class="container-flex">
        <h2 class="item flex-grow-item">Modifier le produit</h2>
        <img src="assets/icon/trash.svg" class="item sm-icon">
      </div>
    </div>
    <ion-item lines="none">
      <ion-label position="stacked">Nom du produit *</ion-label>
      <ion-input [(ngModel)]="product.name" placeholder="Pommes Gala" clear-input="true" class="myinput"></ion-input>
    </ion-item>
    <div class="container-flex inputs-flex">
    <ion-item lines="none" class="item">
      <ion-label position="stacked">Unité *</ion-label>
      <ion-select [(ngModel)]="product.unity" value="1" okText="Valider" cancelText="Annuler" class="myinput">
        <ion-select-option value="kilo">KG</ion-select-option>
        <ion-select-option value="piece">La pièce</ion-select-option>
        <ion-select-option value="gramme">Gramme</ion-select-option>
        <ion-select-option value="litre">Litre</ion-select-option>
        <ion-select-option value="lot">Lot</ion-select-option>
      </ion-select>
    </ion-item>
      <ion-item lines="none" class="item">
        <ion-label  position="stacked">Prix à l'unité *</ion-label>
        <ion-input  [(ngModel)]="product.price" placeholder="0.00" clear-input="true" inputmode="numeric" class="myinput"></ion-input>
      </ion-item>
      </div>
      <ion-item lines="none" class="item">
        <ion-label position="stacked">Quantité du stock *</ion-label>
        <ion-input [(ngModel)]="product.stock" value="{{product.stock}}" placeholder="0.00" clear-input="true" inputmode="numeric" class="myinput"></ion-input>
        <p class="mini-text caption">Quantité du stock actuelle: <strong>0.00</strong> KG</p>
      </ion-item>
      <ion-item lines="none">
        <ion-label position="stacked">Appliquer une réduction</ion-label>
        <ion-input [(ngModel)]="product.reduction" placeholder="0.00" clear-input="true" inputmode="numeric" class="myinput"></ion-input>
        <p class="mini-text caption">Prix à l'unité avec réduction: <strong>0.00</strong> CHF / KG</p>
      </ion-item>
    <ion-item lines="none">
      <ion-label position="stacked">Description *</ion-label>
      <ion-textarea [(ngModel)]="product.description" placeholder="Ecris ici..." clear-input="true" class="myinput myinput-area"></ion-textarea>
    </ion-item>
  </div>

  <div class="container photo-section lg-space">
    <p class="small-text ">Photos</p>
    <div class="flex-scroll">
      <img src="/assets/img/add-pic.svg" alt="photo" class=" scroll-item img">
      <img *ngFor="let photo of product.photos" src="{{photo.data}}" alt="photo" class=" scroll-item img">
      
    </div>
  </div>
  <div class="container lg-space">
    <a href="" class="link"><p class="centered md-space">Aperçu de l'annonce</p></a>
  </div>


 
  <ion-button (click)="update()" class="agri-btn right-btn lg-space mg-bottom-sm">Enregistrer</ion-button>

  <div class="container stock-order">
    <hr>
    <h2>Stock & commandes</h2>
  </div>
  <div class="container">
    <p class="small-text">Etat actuel du stock</p>
    <div class="stock-card flex">
      <div class="label product-name">{{product.name}}</div>
      <div class="container-flex label stock">
        <div class="item small-text">Status du stock: </div>
        <div class="item small-text"><strong>Faible</strong></div>
        <div class="item color-chip low"></div>
      </div>
    <div class="label mini-text quantity">10 / 42 KG restants</div>
  </div>
</div>


  <div class="container order-card lg-space mg-bottom-sm">
    <p class="small-text ">Commandes comportant ce produit</p>
    <div class="flex-scroll">
    <a href="/order-detail" class="scroll-link">
      <div class="info-card flex scroll-item">   
        <div class="container-flex">
          <div class="item"><div class="product-name">N° 18</div></div>
          <div class="item"><div class="color-chip enattente"></div></div>
        </div>
        <div class="container-flex">
          <div class="item"><p class="small-text">30.08.2021</p></div>
          <div class="item"><p class="small-text"><strong>En attente</strong></p></div>
        </div>
        <hr>
        <div class="item">
          <p class="small-text link">Martin Epardaz</p>
        </div>
        <hr>
        <div class="item">
          <p class="small-text">7 / 14 produits terminés</p>
        </div>
        <hr>
        <div class="container-flex">
          <div class="item"><p class="small-text">Total: </p></div>
          <div class="item"><p class="small-text"><strong>40.00 CHF</strong></p></div>
        </div>
      </div>
      </a>
      <a href="/order-detail" class="scroll-link">
      <div class="info-card flex scroll-item">
        <div class="container-flex">
          <div class="item"><div class="product-name">N° 20</div></div>
          <div class="item"><div class="color-chip enattente"></div></div>
        </div>
        <div class="container-flex">
          <div class="item"><p class="small-text">27.08.2021</p></div>
          <div class="item"><p class="small-text"><strong>En attente</strong></p></div>
        </div>
        <hr>
        <div class="item">
          <p class="small-text link">Emannuelle Vidon</p>
        </div>
        <hr>
        <div class="item">
          <p class="small-text">1 / 21 produits terminés</p>
        </div>
        <hr>
        <div class="container-flex">
          <div class="item"><p class="small-text">Total: </p></div>
          <div class="item"><p class="small-text"><strong>62.50 CHF</strong></p></div>
        </div>
      </div>
      </a>
      <a href="/order-detail" class="scroll-link">
      <div class="info-card flex scroll-item">
        <div class="container-flex">
          <div class="item"><div class="product-name">N° 22</div></div>
          <div class="item"><div class="color-chip enattente"></div></div>
        </div>
        <div class="container-flex">
          <div class="item"><p class="small-text">25.08.2021</p></div>
          <div class="item"><p class="small-text"><strong>En attente</strong></p></div>
        </div>
        <hr>
        <div class="item">
          <p class="small-text link">Roxanne Pons</p>
        </div>
        <hr>
        <div class="item">
          <p class="small-text">6 / 7 produits terminés</p>
        </div>
        <hr>
        <div class="container-flex">
          <div class="item"><p class="small-text">Total: </p></div>
          <div class="item"><p class="small-text"><strong>25.20 CHF</strong></p></div>
        </div>
      </div>
      </a>
      <a href="/order-detail" class="scroll-link">
      <div class="info-card flex scroll-item">
        <div class="container-flex">
          <div class="item"><div class="product-name">N° 24</div></div>
          <div class="item"><div class="color-chip enattente"></div></div>
        </div>
        <div class="container-flex">
          <div class="item"><p class="small-text">06.06.2021</p></div>
          <div class="item"><p class="small-text"><strong>En attente</strong></p></div>
        </div>
        <hr>
        <div class="item">
          <p class="small-text link">Camille Décrétaz</p>
        </div>
        <hr>
        <div class="item">
          <p class="small-text">2 / 6 produits terminés</p>
        </div>
        <hr>
        <div class="container-flex">
          <div class="item"><p class="small-text">Total: </p></div>
          <div class="item"><p class="small-text"><strong>12.00 CHF</strong></p></div>
        </div>
      </div>
      </a>
    </div>
  </div>

  <div class="footer">
    <ion-tabs>
      <ion-tab-bar slot="bottom" position="sticky">
        <a href="/homepage-agriculteur-full" class="menu-link">
          <ion-tab-button>
            <ion-icon name="home" class="tab-inactive"></ion-icon>
            <ion-label>Home</ion-label>
          </ion-tab-button>
        </a>
        <a href="/myproducts" class="menu-link">
          <ion-tab-button>
            <ion-icon name="nutrition"  class="icon-active"></ion-icon>
            <ion-label class="label-active">Produits</ion-label>
          </ion-tab-button>
        </a>
        <a href="/myorders"  class="menu-link">
          <ion-tab-button>
            <ion-icon name="cart" class="tab-inactive"></ion-icon>
            <ion-label>Commandes</ion-label>
            <ion-badge color="danger">0</ion-badge>
          </ion-tab-button>
        </a>
        <a href="/profil-agriculteur" class="menu-link">
          <ion-tab-button>
            <ion-icon name="person" class="tab-inactive"></ion-icon>
            <ion-label>Profil</ion-label>
          </ion-tab-button>
        </a>
      </ion-tab-bar>
    </ion-tabs>
  </div>
 
</ion-content>
